[Overview][Constants][Types][Classes][Procedures and functions][Index] | Reference for unit 'ComCtrls' (#lcl)

# TListColumn.SetIndex

Sets the value for the Index property.

## Declaration

Source position: comctrls.pp line 1237

`protected procedure TListColumn.SetIndex(`
`AValue: Integer`
`); override;`

## Arguments

`AValue` |  | New value for the Index property.

## Description

Calls the inherited method to move the collection item to the position indicated in the property value. Calls the ColumnMove method in the widgetset class to reorder the column in the control.

## See also

TCollectionItem.Index